Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.xensource.xenapi
Class GPUGroup.Record

    java.lang.Object
      com.xensource.xenapi.GPUGroup.Record

All Implemented Interfaces:
  Types.Record

Enclosing class:
  GPUGroup

    public static class GPUGroup.Record

extends Object
implements Types.Record

Represents all the fields in a GPUGroup

Field Summary
`Set<String>` | `GPUTypes` List of GPU types (vendor+device ID) that can be in this group
`String` | `nameDescription` a notes field containing human-readable description
`String` | `nameLabel` a human-readable name
`Map<String,String>` | `otherConfig` Additional configuration
`Set<PGPU>` | `PGPUs` List of pGPUs in the group
`String` | `uuid` Unique identifier/object reference
`Set<VGPU>` | `VGPUs` List of vGPUs using the group

Constructor Summary
`GPUGroup.Record()`

Method Summary
`Map<String,Object>` | `toMap()` Convert a GPU_group.Record to a Map
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### uuid

    public String uuid

  Unique identifier/object reference

### nameLabel

    public String nameLabel

  a human-readable name

### nameDescription

    public String nameDescription

  a notes field containing human-readable description

### PGPUs

    public Set<PGPU> PGPUs

  List of pGPUs in the group

### VGPUs

    public Set<VGPU> VGPUs

  List of vGPUs using the group

### GPUTypes

    public Set<String> GPUTypes

  List of GPU types (vendor+device ID) that can be in this group

### otherConfig

    public Map<String,String> otherConfig

  Additional configuration

Constructor Detail

### GPUGroup.Record

    public GPUGroup.Record()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toMap

    public Map<String,Object> toMap()

  Convert a GPU_group.Record to a Map

  Specified by:
    `toMap` in interface `Types.Record`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD